@announce
Feature: CLI
  Background:
    Given the following environment variables are set:
          | variable                  | value               |
          | BUNDLE_DEPOT_SCP_USER     | upload              | 
          | BUNDLE_DEPOT_SCP_PASS     | upload              |
          | BUNDLE_DEPOT_SCP_HOST     | cache.example.com   |

  Scenario: Help screen
    When I run `bundle-depot`
    Then the output should contain "Commands:"

  Scenario: No Cache hot 
    Given there is the project "json" in the current directory
      And the local cache does not contain the bundle "json"
      And the remote cache does not contain the packed bundle "json"
     When I run `bundle-depot fetch`
      And I run `bundle install --path=.bundle/depot/current --local` in a bundler sandbox
      And I run `bundle-depot store`
     Then the output should contain "=> Bundle is not in local cache"
      And the output should contain "=> Bundle is not in remote cache"
      And the output should contain "=> Linking .bundle/depot/current -> .bundle/depot/cache/bde95daa2ce7dede336b4367b9e3a0690027bd6f071e0fdcb1b3047cf988963"
      And bundler did install gems
      And the output should contain "=> Packing bundle"
      And the output should contain "=> Uploading bundle to remote cache"
      
  Scenario: Remote Cache Hot 
    Given there is the project "json" in the current directory
      And the local cache does not contain the bundle "json"
      And the remote cache contains the packed bundle for "json" 
     When I run `bundle-depot fetch`
      And I run `bundle install --path=.bundle/depot/current --local` in a bundler sandbox
      And I run `bundle-depot store`
     Then the output should contain "=> Bundle is not in local cache"
      And the output should contain "=> Bundle found in remote cache. Downloading!"
      And the output should contain "=> Linking .bundle/depot/current -> .bundle/depot/cache/bde95daa2ce7dede336b4367b9e3a0690027bd6f071e0fdcb1b3047cf988963"
      And bundler did not install gems
      And the output should contain "=> Bundle is already in remote cache. Skipping upload."

  Scenario: Local Cache Hot 
    Given there is the project "json" in the current directory
      And the local cache contains the bundle "json"
      And the remote cache does not contain the packed bundle "json"
     When I run `bundle-depot fetch`
      And I run `bundle install --path=.bundle/depot/current --local` in a bundler sandbox
      And I run `bundle-depot store`
     Then the output should contain "=> Bundle found in local cache"
      And bundler did not install gems
      And the output should contain "=> Uploading bundle to remote cache"

  Scenario: Gemfile changes
    Given there is the project "json" in the current directory
      And the local cache contains the bundle "json"
      And the remote cache contains the packed bundle for "json" 
      And I run `bundle-depot fetch`
      And I run `bundle install --path=.bundle/depot/current --local` in a bundler sandbox
      And I run `bundle-depot store`
     When there is the project "rake" in the current directory
      And I run `bundle-depot fetch`
      And I run `bundle install --path=.bundle/depot/current --local` in a bundler sandbox
      And I run `bundle-depot store`
     Then the output should contain "=> Linking .bundle/depot/current -> .bundle/depot/cache/4c3a94088cd7bd0ac6b190c7f40a19c809356cda7fbd7dd8860ed3155b8e5c3d"


