Given(/^there is no Gemfile\.lock in the current directory$/) do
  check_file_presence(["Gemfile.lock"], false)
end

When(/^I run `([^`]*)` in a bundler sandbox$/) do |cmd|
  %w[RUBYOPT BUNDLE_PATH BUNDLE_BIN_PATH BUNDLE_GEMFILE GEM_HOME GEM_PATH].each do |key|
    set_env(key, nil)
  end
  run_simple(unescape(cmd), false)

  %w[RUBYOPT BUNDLE_PATH BUNDLE_BIN_PATH BUNDLE_GEMFILE GEM_HOME GEM_PATH].each do |key|
    ENV[key] = original_env[key]
  end
end

Then(/^bundler did not install gems$/) do
  assert_no_partial_output("Installing", all_output)
end

Then(/^bundler did install gems$/) do
  assert_partial_output("Installing", all_output)
end
