Given(/^there is the project "(.*?)" in the current directory$/) do |project|
  in_current_dir do 
    FileUtils.cp_r Dir.glob(File.join(fixture_project_path(project), "*")), "."
  end
end

Given(/^the local cache does not contain the bundle "(.*?)"$/) do |bundle|
  in_current_dir do 
    File.exists?(local_cache_bundle_path(bundle)).should == false 
  end
end

Given(/^the remote cache does not contain the packed bundle "(.*?)"$/) do |bundle|
  create_dir(remote_cache_path)
  in_current_dir do 
    File.exists?(remote_cache_packed_bundle_path(bundle)).should == false 
  end
end

Given(/^the remote cache contains the packed bundle for "(.*?)"$/) do |bundle|
  create_dir(remote_cache_path)
  in_current_dir do 
    FileUtils.cp_r fixtures_packed_bundle_path(bundle), remote_cache_path
  end
end

Given(/^the local cache contains the bundle "(.*?)"$/) do |bundle|
  create_dir(local_cache_path)
  in_current_dir do 
    FileUtils.cp_r fixtures_bundle_path(bundle), local_cache_path
  end
end

Then(/^the remote cache should contain the packed bundle "(.*?)"$/) do |bundle|
  in_current_dir do 
    File.exists?(remote_cache_packed_bundle_path(bundle)).should == true
  end
end

Given(/^the following environment variables are set:$/) do |table|
  table.hashes.each do |row|
    variable = row['variable'].to_s.upcase
    value = row['value'].to_s
 
    set_env(variable, value)
  end
end

Then(/^the following symlinks should exist:$/) do |table|
  table.hashes.each do |row|
    source = row['source']
    target = row['target']

    in_current_dir do
      File.readlink(source).should == File.expand_path(target)
    end
  end
end
