@announce
Feature: Store Local Package Remotely

  Scenario: No Gemfile (store)
    Given there is no Gemfile.lock in the current directory
      And the following environment variables are set:
        | variable                  | value               |
        | BUNDLE_DEPOT_SCP_USER     | upload              | 
        | BUNDLE_DEPOT_SCP_PASS     | upload              |
        | BUNDLE_DEPOT_SCP_HOST     | cache.example.com   |
     When I run `bundle-depot store`
     Then the output should contain "Couldn't find Gemfile.lock"
     And the exit status should not be 0

  Scenario: No SCP environment configured
    Given there is the project "json" in the current directory
     When I run `bundle-depot store`
     Then the output should contain "Remote cache is not configured. Configured the SCP environment variables to run 'bundle-depot store'"
     And the exit status should not be 0

  Scenario: Does nothing if remote cache contains the bundle
    Given there is the project "json" in the current directory
      And the following environment variables are set:
          | variable                  | value               |
          | BUNDLE_DEPOT_SCP_USER     | upload              | 
          | BUNDLE_DEPOT_SCP_PASS     | upload              |
          | BUNDLE_DEPOT_SCP_HOST     | cache.example.com   |
      And the remote cache contains the packed bundle for "json" 
     When I run `bundle-depot store`
     Then the exit status should be 0 

  Scenario: Fails if local cache does not contain the bundle 
    Given there is the project "json" in the current directory
      And the following environment variables are set:
          | variable                  | value               |
          | BUNDLE_DEPOT_SCP_USER     | upload              | 
          | BUNDLE_DEPOT_SCP_PASS     | upload              |
          | BUNDLE_DEPOT_SCP_HOST     | cache.example.com   |
      And the local cache does not contain the bundle "json"
     When I run `bundle-depot store`
     Then the output should contain "Couldn't find the cached bundle."
      And the exit status should not be 0 

  Scenario: Uploads the Bundle to remote cache 
    Given there is the project "json" in the current directory
      And the following environment variables are set:
          | variable                  | value               |
          | BUNDLE_DEPOT_SCP_USER     | upload              | 
          | BUNDLE_DEPOT_SCP_PASS     | upload              |
          | BUNDLE_DEPOT_SCP_HOST     | cache.example.com   |
      And the remote cache does not contain the packed bundle "json"
      And the local cache contains the bundle "json"
     When I run `bundle-depot store`
     Then the exit status should be 0 
      And the remote cache should contain the packed bundle "json"
