module TestSupport
  module CaptureOutput 
    
    def capture_output(&block)
      capture 
      yield
      restore 
      puts mock_output
    end

    def mock_stdout
      @captured_stdout
    end

    def mock_stderr
      @captured_stderr
    end

    def mock_output
      mock_stdout + mock_stderr
    end

    private

    def capture 
      @captured_stdout = ''
      @captured_stderr = ''
      @original_stdout = $stdout
      @original_stderr = $stderr
      @mock_stdout     = StringIO.new
      @mock_stderr     = StringIO.new
      $stdout          = @mock_stdout 
      $stderr          = @mock_stderr 
    end

    def restore 
      @captured_stdout = @mock_stdout.string
      @captured_stderr = @mock_stderr.string
      $stdout          = @original_stdout
      $stderr          = @original_stderr
      @original_stdout = nil
      @original_stderr = nil
      @mock_stdout     = nil 
      @mock_stderr     = nil 
    end
  end
end

World(TestSupport::CaptureOutput)
