require 'rspec/expectations'
require 'aruba/cucumber'

require 'bundle_depot'

World(RSpec::Matchers)

ENV["TEST"] = "true"

def local_cache_path
  BundleDepot::Cache.cache_path
end

def remote_cache_path
  File.join(".bundle", "depot","remote")
end

def fixture_project_path(project)
  File.expand_path(File.join(File.dirname(__FILE__), '../../fixtures/project', project))
end

def fixtures_bundle_home_path(bundle)
  File.expand_path(File.join(File.dirname(__FILE__), '../../fixtures/bundle', bundle))
end

def fixtures_bundle_path(bundle)
  File.join(fixtures_bundle_home_path(bundle), fixtures_bundle_name(bundle))
end

def fixtures_packed_bundle_path(bundle)
  fixtures_bundle_path(bundle) + ".tar.gz"
end

def fixtures_bundle_name(bundle)
  File.basename(Dir.glob(File.join(fixtures_bundle_home_path(bundle), "*")).first)
end

def local_cache_bundle_path(bundle)
  File.join(local_cache_path, fixtures_bundle_name(bundle))
end

def remote_cache_packed_bundle_path(bundle)
  File.join(remote_cache_path, fixtures_bundle_name(bundle) + ".tar.gz")
end

